GET/api/v2/transfers/{transferId}

Get transfer by ID

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
transferId (path)unknownYesTransfer ID

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
IdunknownNo
UserIdunknownNo
StatusTransferStatusV2No
AmountstringNo
CurrencystringNo
SourceTypeTransferSourceTypeV2No
DestinationTypeTransferDestinationTypeV2No
DescriptionstringNo
ExternalReferenceIdstringNo
CreatedAtstringNo
CompletedAtstringNo
UpdatedAtstringNo
MetadataobjectNo
TransferTypestringNoTransfer type identifier (e.g., "user_to_master_transfer", "master_to_user_transfer")
MessagestringNoResponse message for the transfer operation
ErrorCodestringNoError code if the transfer failed
FeeAmountstringNoTotal fee amount charged for this transfer (future implementation)
FeeCurrencystringNoCurrency of the fee (future implementation)
FeeTypeTransferFeeTypeNo
NetAmountstringNoNet amount after fees (future implementation)

404 — Not Found

Response 404 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

500 — Internal Server Error

Response 500 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

Example request

curl -X GET "https://{base_url}/api/v2/transfers/{transferId}" \
  -H "x-api-key: YOUR_API_KEY"

This page is generated from the live OpenAPI specification and always matches the current API.